<?php

namespace loyalsoft;

/**
 *  事件类型定义
 *  author: gwang, 2020年11月30日17:56:01
 */
class Enum_EventType {

    /**
     * hello world
     */
    const HelloWorld = "HelloWorld";

    /**
     * 给予道具
     */
    const AddItem = "AddItem";

    /**
     * 移除道具
     */
    const RemoveItem = "RemoveItem";

    /**
     * 给予任务
     */
    const AddTaskItem = "AddTaskItem";

    /**
     * 移除任务
     */
    const RemoveTaskItem = "RemoveTaskItem";

    /**
     * 任务进度更新
     */
    const MissionStepProcess = "MissionStepProcess";

    /**
     * 完成任务步骤
     */
    const MissionStepComplete = "MissionStepComplete";

    /**
     * 任务卡完成
     */
    const TaskCardFinished = "TaskCardFinished";

    /**
     * 激活一张任务卡
     */
    const TaskCardActived = "TaskCardActived";

    /**
     * 领取任务卡奖励
     */
    const TaskCardReward = "TaskCardReward";

    /**
     * 开启一段剧情对话
     */
    const StartPlot = "StartPlot";

    /**
     * 开启npc对话
     */
    const NpcDialog = "NpcDialog";

}
