<?php

namespace loyalsoft;

/**
 * 玩家基本信息
 * @author gwang(wanggangzero@qq.com)
 */
class Info_UserBase {
    //put your code here

    /**
     * 第一次登录时间
     * @var int
     */
    public $firstLogin;

    /**
     * 上次登录时间
     * @var int
     */
    public $lastLogin;

    /**
     * 上次活动时间
     * @var int
     */
    public $lastSaveTs;

    /**
     * @var int 当前等级
     */
    public $level;  //

    /**
     * @var string 昵称
     */
    public $name; // 昵称

    /**
     * @var string 头像
     */
    public $headImg;  // 头像

    /**
     * @var int 头像框Id
     */
    public $imgBorderId = 0;

    /**
     * @var string 形象(龙骨)
     */
    public $img;

    /**
     * @var int 金币
     */
    public $gold;  // 金币

    /**
     * 钻石
     * @var int
     */
    public $cash; //

    /**
     * 分解后得倒的晶石
     * @var int
     */
    public $spar;

    /**
     * 体力值
     * @var int
     */
    public $tili = 120; //体力

    /**
     * 当前经验
     */
    public $xp = 0;

    /**
     * 升级经验
     * @var type
     */
    public $maxXp = 0;

    /**
     * @var int 好友赠送友情点数
     */
    public $friendPoint = 0;

    /**
     * @var int 历史充值总金额(单位:分)
     */
    public $charge_amt = 0;  //

    /**
     * @var int 游戏内赠送游戏币总额
     */
    public $gift_cash = 0;  //

    public function initialize() {
        my_Assert(GameConfig::primordial_data(), "找不到账号初始化数据");         # 防御
        $this->gold = GameConfig::primordial_data()->User_Gold;
        $this->cash = GameConfig::primordial_data()->User_Cash;
        $this->xp = GameConfig::primordial_data()->User_XP;
        $this->maxXp = 0;
        $this->level = 1;
        $this->name = '步惊云';
        $this->spar = 0;
        $this->headImg = GameConfig::primordial_data()->User_head;
        $this->img = GameConfig::primordial_data()->User_img;
    }

}
